Skip to main content
GET
/
v1
/
transfer
/
list
Get List of Prime Wallet Transfers
curl --request GET \
  --url https://api.openxswitch.com/v1/transfer/list \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "wd_001",
      "workspaceId": "67804918f2b05ac82a129441",
      "clientTxId": null,
      "fromWalletId": "678a39d6b731ad1ad8832c8a",
      "toWalletId": "731ad1ad8832c8a....",
      "coin": "USDT",
      "amount": 100,
      "status": "success",
      "networkFee": 0,
      "tagMemo": null,
      "confirmed": false,
      "confirmedAt": null,
      "createdAt": null
    }
  ],
  "totalPage": 123,
  "pageNo": 123,
  "pageLimit": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

transferId
string

The unique identifier of the transfer

toWalletId
string

The destination sub-wallet ID

coin
string

The token name

pageNo
string

The page number for pagination

pageLimit
string

The number of items per page for pagination

Response

success
boolean
required
Example:

true

data
object[]
required
totalPage
number
required
pageNo
number
required
pageLimit
number
required